| Home | Libraries | People | FAQ | More

## Struct template unpack_expr<Tag, Domain, Sequence>

boost::proto::result_of::unpack_expr<Tag, Domain, Sequence> — Metafunction that computes the return type of the `proto::unpack_expr()` function, within the specified domain.

## Synopsis

    template<typename Tag, typename Domain, typename Sequence>
    struct unpack_expr<Tag, Domain, Sequence> {
      // types
      typedef
        typename proto::result_of::make_expr<
          Tag,
          Domain,
          typename fusion::value_at<Sequence, 0>::type,
          ...
          typename fusion::value_at<Sequence, N-1>::type
        >::type
       type;  // Where N is the size of Sequence.
    };

## Description

Computes the return type of the `proto::unpack_expr()` function.